Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions

# cv::DescriptorExtractor Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::DescriptorExtractor:

List of all members.

## Public Member Functions
void | compute (const Mat &image, vector< KeyPoint > &keypoints, Mat &descriptors) const
void | compute (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints, vector< Mat > &descriptors) const
virtual int | descriptorSize () const =0
virtual int | descriptorType () const =0
virtual void | read (const FileNode &)
virtual void | write (FileStorage &) const
virtual | ~DescriptorExtractor ()
## Static Public Member Functions
static Ptr< DescriptorExtractor > | create (const string &descriptorExtractorType)
## Protected Member Functions
virtual void | computeImpl (const Mat &image, vector< KeyPoint > &keypoints, Mat &descriptors) const =0
## Static Protected Member Functions
static void | removeBorderKeypoints (vector< KeyPoint > &keypoints, Size imageSize, int borderSize)

## Constructor & Destructor Documentation

virtual cv::DescriptorExtractor::~DescriptorExtractor | ( | ) | `[virtual]`

## Member Function Documentation

void cv::DescriptorExtractor::compute | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | Mat & | descriptors
| ) |  | const

void cv::DescriptorExtractor::compute | ( | const vector< Mat > & | images,
|  | vector< vector< KeyPoint > > & | keypoints,
|  | vector< Mat > & | descriptors
| ) |  | const

virtual void cv::DescriptorExtractor::computeImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | Mat & | descriptors
| ) |  | const`[protected, pure virtual]`

Implemented in cv::SiftDescriptorExtractor, cv::SurfDescriptorExtractor, cv::CalonderDescriptorExtractor< T >, and cv::OpponentColorDescriptorExtractor.

static Ptr<DescriptorExtractor> cv::DescriptorExtractor::create | ( | const string & | descriptorExtractorType ) | `[static]`

virtual int cv::DescriptorExtractor::descriptorSize | ( | ) | const`[pure virtual]`

Implemented in cv::SiftDescriptorExtractor, cv::SurfDescriptorExtractor, cv::CalonderDescriptorExtractor< T >, cv::OpponentColorDescriptorExtractor, and cv::BriefDescriptorExtractor.

virtual int cv::DescriptorExtractor::descriptorType | ( | ) | const`[pure virtual]`

Implemented in cv::SiftDescriptorExtractor, cv::SurfDescriptorExtractor, cv::CalonderDescriptorExtractor< T >, cv::OpponentColorDescriptorExtractor, and cv::BriefDescriptorExtractor.

virtual void cv::DescriptorExtractor::read | ( | const FileNode & | ) | `[virtual]`

Reimplemented in cv::SiftDescriptorExtractor, cv::SurfDescriptorExtractor, cv::CalonderDescriptorExtractor< T >, and cv::OpponentColorDescriptorExtractor.

static void cv::DescriptorExtractor::removeBorderKeypoints | ( | vector< KeyPoint > & | keypoints,
|  | Size | imageSize,
|  | int | borderSize
| ) |  | `[static, protected]`

virtual void cv::DescriptorExtractor::write | ( | FileStorage & | ) | const`[virtual]`

Reimplemented in cv::SiftDescriptorExtractor, cv::SurfDescriptorExtractor, cv::CalonderDescriptorExtractor< T >, and cv::OpponentColorDescriptorExtractor.

The documentation for this class was generated from the following file:

- C:/opt/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines